<?php

/****************************************/
// ИНФОРМАЦИЯ:
// ==== Форум: LogicBoard
// ==== Автор: Никита Курдин (ShapeShifter)
// ==== Copyright © Никита Курдин Игоревич 2011
// ==== Данный код защищен авторскими правами
// ==== Официальный сайт: http://logicboard.ru

/****************************************/

if($_SERVER['HTTP_X_REQUESTED_WITH'] != "XMLHttpRequest")
    exit ("Error.");

@session_start ();
header( "Content-type: text/html; charset=windows-1251" );

if (get_magic_quotes_gpc())
{
    include_once LB_CLASS. "/magic_quotes_gpc.php";
    $mq_gpc = new mq_gpc();
    $mq_gpc->del_slashes();
    unset($mq_gpc);  
}

$tid = intval($_GET['tid']);

if( function_exists( 'iconv' ) )
    $_SESSION['LB_reply_text_'.$tid] = iconv( "UTF-8", "windows-1251//IGNORE", $_GET['text'] );
else
    $_SESSION['LB_reply_text_'.$tid] = "The library iconv is not supported by your server";

?>